MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Static Public Member Functions | Data Fields
ConstBuffer< void > Struct Template Reference

`#include <ConstBuffer.hxx>`

## Public Types
typedef size_t | size_type
typedef const void * | pointer_type
typedef pointer_type | const_pointer_type
typedef pointer_type | iterator
typedef pointer_type | const_iterator

## Public Member Functions
| ConstBuffer ()=default
constexpr | ConstBuffer (std::nullptr_t)
constexpr | ConstBuffer (pointer_type _data, size_type _size)
constexpr ConstBuffer< void > | ToVoid () const
constexpr bool | IsNull () const
constexpr bool | IsEmpty () const

## Static Public Member Functions
static constexpr ConstBuffer | Null ()
static constexpr ConstBuffer< void > | FromVoid (ConstBuffer< void > other)

## Data Fields
pointer_type | data
size_type | size

## Detailed Description

### template<>
struct ConstBuffer< void >

Definition at line 45 of file ConstBuffer.hxx.

## Member Typedef Documentation

typedef pointer_type ConstBuffer< void >::const_iterator

Definition at line 50 of file ConstBuffer.hxx.

typedef pointer_type ConstBuffer< void >::const_pointer_type

Definition at line 48 of file ConstBuffer.hxx.

typedef pointer_type ConstBuffer< void >::iterator

Definition at line 49 of file ConstBuffer.hxx.

typedef const void* ConstBuffer< void >::pointer_type

Definition at line 47 of file ConstBuffer.hxx.

typedef size_t ConstBuffer< void >::size_type

Definition at line 46 of file ConstBuffer.hxx.

## Constructor & Destructor Documentation

ConstBuffer< void >::ConstBuffer | ( |  | ) |
| default

constexpr ConstBuffer< void >::ConstBuffer | ( | std::nullptr_t |  | ) |
| inline

Definition at line 57 of file ConstBuffer.hxx.

constexpr ConstBuffer< void >::ConstBuffer | ( | pointer_type | _data,
|  | size_type | _size
| ) |  |
| inline

Definition at line 59 of file ConstBuffer.hxx.

## Member Function Documentation

static constexpr ConstBuffer<void> ConstBuffer< void >::FromVoid | ( | ConstBuffer< void > | other | ) |
| inline static

Definition at line 66 of file ConstBuffer.hxx.

constexpr bool ConstBuffer< void >::IsEmpty | ( |  | ) | const
| inline

Definition at line 78 of file ConstBuffer.hxx.

constexpr bool ConstBuffer< void >::IsNull | ( |  | ) | const
| inline

Definition at line 74 of file ConstBuffer.hxx.

static constexpr ConstBuffer ConstBuffer< void >::Null | ( |  | ) |
| inline static

Definition at line 62 of file ConstBuffer.hxx.

constexpr ConstBuffer<void> ConstBuffer< void >::ToVoid | ( |  | ) | const
| inline

Definition at line 70 of file ConstBuffer.hxx.

## Field Documentation

pointer_type ConstBuffer< void >::data

Definition at line 52 of file ConstBuffer.hxx.

size_type ConstBuffer< void >::size

Definition at line 53 of file ConstBuffer.hxx.

The documentation for this struct was generated from the following file:

- util/ConstBuffer.hxx